GET
/logistics/202309/delivery_options/{delivery_option_id}/shipping_providers
Returns the shipping providers available for the specified delivery option. If the delivery option is fulfilled by TikTok, the request returns an error and no shipping providers are returned.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”delivery_option_id
required
string
The delivery option ID, represented as a decimal integer string.
Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
warehouse_region
string
Warehouse country, indicating the shipping country.
buyer_region
string
Buyer’s country, indicating the destination country for delivery.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
shipping_providers
The shipping providers available for the specified delivery option.
Array<object>
object
id
The shipping carrier unique id.
string
name
The shipping carrier name.
string
Example
{ "code": 0, "data": { "shipping_providers": [ { "id": "7117858858072016686", "name": "USPS" } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}